# Default values for Smashdocs App
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.


# customer URL - dnsname.domain
# shortname is equal to dnsname without dashes
customer:
  dnsname: customer
  shortname: customer
  domain: smashdocs.net

tags:
  mongodb-subchart: false
  minio-subchart: false

replicaCount: 1

frontend:
  name: frontend
  mode: normal
  image:
    repository: smashdocs/frontend
    tag: 2.12.1

adminui:
  enabled: true
  name: adminui
  image:
    repository: smashdocs/admin-ui
    tag: 2.12.1

backend:
  name: backend
  command: backend
  provisioningKey: 12345
  image:
    repository: smashdocs/backend
    tag: 2.12.1
    pullPolicy: Always
  systemRole: development

email:
  smtpServerAddress: email-smtp.eu-west-1.amazonaws.com
  smtpServerPort: 587
  smtpUsername: smtpUsername
  smtpPassword: smtpPassword
  email: no-reply@smashdocs.net
  from: "SMASHDOCs Team"

socketserver:
  name: socketserver
  image:
    repository: smashdocs/socketserver
    tag: 0.3.0

worker:
  name: worker
  command: worker

beat:
  name: beat
  command: beat

nginx:
  name: nginx
  image:
    repository: smashdocs/nginx
    tag: 2.3.2
    pullPolicy: Always

spellcheck:
  enabled: true
  name: spellcheck
  image:
    repository: smashdocs/spellcheck
    tag: 0.2.0

languagetool:
  name: languagetool
  image:
    repository: smashdocs/languagetool
    tag: latest

redis:
  name: redis
  image:
    repository: redis
    tag: 3.2

mongodb:
  enabled: true
  name: mongodb
  image:
    repository: mongo
    tag: 3.6
    pullPolicy: IfNotPresent
  persistentVolume:
    size: 10Gi
    storageClass: azure-disk

minio:
  enabled: true
  name: minio
  accessKey: 12345
  secretKey: 12345678
  image:
    repository: minio/minio
    tag: latest
    pullPolicy: IfNotPresent
  persistentVolume:
    size: 10Gi
    storageClass: azure-disk

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #  cpu: 100m
  #  memory: 128Mi
  # requests:
  #  cpu: 100m
  #  memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}
